use super::ast::*;
use super::BuildAst;

use pest::Parser;

#[derive(Parser)]
#[grammar = "parse/sprite.pest"]
pub struct PestParser;

impl<'a> BuildAst<'a> for PestParser {
    fn build_source_ast(source: &'a str) -> Ast<'a> {
        match Self::parse(Rule::module, source) {
            Ok(ok) => println!("{:#?}", ok),
            Err(err) => panic!("{}", err),
        };

        Ast { defs: Vec::new() }
    }
}
